diff -Nru adonthell-0.3.5/debian/changelog adonthell-0.3.5/debian/changelog
--- adonthell-0.3.5/debian/changelog	2011-07-08 16:16:19.000000000 +0200
+++ adonthell-0.3.5/debian/changelog	2011-10-02 17:21:30.000000000 +0200
@@ -1,3 +1,14 @@
+adonthell (0.3.5-7.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * debian/patches/12_no_sparc_bytecompile.patch:
+    - Do not bytecompile Python files during build on sparc, workaround
+      to let adonthell compile again. Generated files were not installed
+      in the package, and byte-compilation is performed at a later stage
+      by python-support anyway (Closes: #639450).
+
+ -- Luca Falavigna <dktrkranz@debian.org>  Sun, 02 Oct 2011 17:21:03 +0200
+
 adonthell (0.3.5-7) unstable; urgency=low
 
   * Team upload.
diff -Nru adonthell-0.3.5/debian/patches/12_no_sparc_bytecompile.patch adonthell-0.3.5/debian/patches/12_no_sparc_bytecompile.patch
--- adonthell-0.3.5/debian/patches/12_no_sparc_bytecompile.patch	1970-01-01 01:00:00.000000000 +0100
+++ adonthell-0.3.5/debian/patches/12_no_sparc_bytecompile.patch	2011-10-02 17:20:47.000000000 +0200
@@ -0,0 +1,29 @@
+Description: Do not bytecompile Python files during build
+Author: Luca Falavigna <dktrkranz@debian.org>
+Bug-Debian: http://bugs.debian.org/639450
+Forwarded: no
+
+Index: adonthell-0.3.5/src/modules/Makefile.in
+===================================================================
+--- adonthell-0.3.5.orig/src/modules/Makefile.in	2011-10-02 17:20:09.885955991 +0200
++++ adonthell-0.3.5/src/modules/Makefile.in	2011-10-02 17:20:44.365957048 +0200
+@@ -216,6 +216,10 @@
+ CLEANFILES = $(pyc_files)
+ all: all-am
+ 
++ifneq ($(shell dpkg-architecture -qDEB_BUILD_ARCH),sparc)
++        ADONTHELLCMD=$(top_builddir)/src/adonthell-0.3 -c
++endif
++
+ .SUFFIXES:
+ $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
+ 	@for dep in $?; do \
+@@ -404,7 +408,7 @@
+ 
+ 
+ all: $(py_files) 
+-	$(top_builddir)/src/adonthell-0.3 -c
++	$(ADONTHELLCMD)
+ 
+ %.pyc : %.py
+ 	@if test x$(top_srcdir) != x$(top_builddir) ; then \
diff -Nru adonthell-0.3.5/debian/patches/series adonthell-0.3.5/debian/patches/series
--- adonthell-0.3.5/debian/patches/series	2011-05-08 21:49:20.000000000 +0200
+++ adonthell-0.3.5/debian/patches/series	2011-10-02 16:23:55.000000000 +0200
@@ -1,3 +1,4 @@
 04_do_not_ship_pyc.diff
 10_ftbfs_with_gcc-4.4.diff
 11_ftbfs_with_gcc-4.6.diff
+12_no_sparc_bytecompile.patch
